Edit

Get timeRegistrationEntries (v1.0)

Retrieve the properties and relationships of an timeRegistrationEntries object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET businesscentralPrefix/companies({id})/timeRegistrationEntries?$filter=employeeId eq {employeeId}

Note

Please note the $filter applied to timeRegistrationEntries API. The filter is applied to get timeRegistrationEntries for a specific employee.

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.

Request body (v1.0)

Do not supply a request body for this method.

Response (v1.0)

If successful, this method returns a 200 OK response code and an timeRegistrationEntries object in the response body.

Example (v1.0)

Request

Here is an example of the request.

GET https://{businesscentralPrefix}/api/v1.0/companies({id})timeRegistrationEntries?$filter=employeeId eq {employeeId}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{   
    "id": "b669a254-240a-4057-bdf9-5d6196a63dd4",
    "employeeId": "dd6ce54a-d14f-40dc-a10d-1d4d18758c76",
    "employeeNumber": "RL",
    "lineNumber": 10000,
    "date": "2019-01-01",
    "quantity": 2,
    "status": "Open",
    "unitOfMeasureId": "a7ec16cb-014f-446a-a084-bc31d5d7e742",
    "lastModfiedDateTime": "2019-03-25T14:12:08.43Z",
    "unitOfMeasure": {
        "code": "HOUR",
        "displayName": "Hour",
        "symbol": null,
        "unitConversion": null
    }
}

Tips for working with the APIs

Error Codes
timeRegistrationEntries
Get timeRegistrationEntries
Post timeRegistrationEntries
Patch timeRegistrationEntries
Delete timeRegistrationEntries